
Redmine - Defect #9795

Unrelated error message when creating a group with an invalid name

2011-12-14 12:05 - Anton Hedström

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Groups Estimated time: 0.00 hour

Target version: 1.3.1   

Resolution: Fixed Affected version: 1.3.0

Description

If you try to create a group that already exists you get the following message:

"Last name has already been taken"

Which last name? :)

Associated revisions

Revision 8231 - 2011-12-15 12:13 - Jean-Philippe Lang

Fixed: Unrelated error message when creating a group with an invalid name (#9795).

Revision 8235 - 2011-12-15 14:06 - Toshi MARUYAMA

use set_language_if_valid instead of I18n.locale at unit group test (#9795)

Revision 8236 - 2011-12-15 14:06 - Toshi MARUYAMA

add unit test of group blank name in French (#9795)

Revision 8237 - 2011-12-15 14:07 - Toshi MARUYAMA

use same human_attribute_name logic with SCM models at group model (#9795)

Revision 8768 - 2012-02-04 12:14 - Jean-Philippe Lang

Merged r8231, r8235, r8236, 8237 from trunk (#9795).

History

#1 - 2011-12-14 12:29 - Etienne Massip

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

What's your Redmine version?

#2 - 2011-12-14 12:53 - Anton Hedström

I have expericensed the problem in redmine 1.2.2 and 1.3.0.

#3 - 2011-12-14 13:40 - Etienne Massip

- Affected version (unused) set to 1.3.0

- Affected version set to 1.3.0

#4 - 2011-12-15 12:14 - Jean-Philippe Lang

- Subject changed from Unrelated flash[...] message when creating user group  to Unrelated error message when creating a group with an invalid

name

- Status changed from Confirmed to Resolved

- Target version changed from Candidate for next minor release to 1.3.1

Fixed in r8231.
https://www.redmine.org/projects/redmine/repository/svn/revisions/8231


#5 - 2012-02-04 12:14 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Fixed

Merged.
